<CsoundSynthesizer>
<CsInstruments>
sr     	= 44100
kr 	 	= 4410
ksmps  	= 10
nchnls 	= 4

massign 1, 1

gisine ftgen 1, 0, 16384, 10, 1
initc7 1, 1, 0
initc7 1, 2, .5
initc7 1, 3, .25
initc7 1, 4, .2

; MIDI activated instrument
instr 1
	icps cpsmidi
	iamp veloc 0, 32768
	kcar invalue "car"
	kmod invalue "mod"
	kndx invalue "ndx"
	aout foscil iamp, icps, kcar, kmod, kndx, gisine
	outvalue "car", kcar
	outvalue "mod", kmod
	outvalue "ndx", kndx
	iatk midic7 1, 0, 1
	idec midic7 2, 0, 1
	isus midic7 3, 0, 1
	irel midic7 4, 0, 1

	iatk = iatk * iatk * 3 + .001
	idec = idec * idec * 3 + .001
	isus = isus * isus + .001
	irel = irel * irel * 4 + .001

	aenv expsegr 0.001, iatk, 1, idec, isus, irel, 0.001
	aout = aout * aenv
	outch 1, aout, 2, aout
endin
	
; Score activated instrument
instr 2
	kcar line p6, p3, p7
	kmod line p8, p3, p9
	kndx line p10, p3, p11
    amp  linen 1, p3 * .5, p3, p3 * .5
	aout foscil p5, cpspch(p4), kcar, kmod, kndx, gisine
	aout = aout * amp
	outch 3, aout, 4, aout
endin

</CsInstruments>
<CsScore>
f0 3600
e
</CsScore>

</CsoundSynthesizer>





